Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.datacache
Class DataCachePCDataGenerator

    java.lang.Object
      org.apache.openjpa.enhance.DynamicStorageGenerator
          org.apache.openjpa.enhance.PCDataGenerator
              org.apache.openjpa.datacache.DataCachePCDataGenerator

    public class DataCachePCDataGenerator

extends PCDataGenerator

A `PCDataGenerator` instance which generates properly synchronized instances suitable for use in the cache. In addition, proper timed behavior is added.

Since:
  0.3.3.0
Author:
  Steve Kim

Nested Class Summary
`static interface` | `DataCachePCDataGenerator.Timed` Simple interface to give access to expiration time.

Nested classes/interfaces inherited from class org.apache.openjpa.enhance.PCDataGenerator
`PCDataGenerator.DynamicPCData`

Field Summary
`static String` | `POSTFIX`

Fields inherited from class org.apache.openjpa.enhance.DynamicStorageGenerator
`POLICY_EMPTY, POLICY_EXCEPTION, POLICY_SILENT`

Constructor Summary
`DataCachePCDataGenerator(OpenJPAConfiguration conf)`

Method Summary
`protected void` | `decorate(serp.bytecode.BCClass bc, ClassMetaData meta)` Apply additional decoration to generated class.
`protected void` | `finish(PCDataGenerator.DynamicPCData data, ClassMetaData meta)` Perform any final actions before the pcdata is returned to client code.
`protected String` | `getUniqueName(Class type)` Creates a unique name for the given type's pcdata implementation.

Methods inherited from class org.apache.openjpa.enhance.PCDataGenerator
`addVersionMethods, callAbstractPCData, declareClasses, decorate, generatePCData, getClassName, getConfiguration, getCreateFieldMethods, replaceType, setTarget, usesImplData, usesImplData, usesIntermediate`

Methods inherited from class org.apache.openjpa.enhance.DynamicStorageGenerator
`addBeanField, createFactory, forType, generateStorage, getFieldAccess, getFieldName, getWrapper, getWrapper, isCompatible, replaceMethod, throwException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSTFIX

    public static final String POSTFIX

See Also:
  Constant Field Values

Constructor Detail

### DataCachePCDataGenerator

    public DataCachePCDataGenerator(OpenJPAConfiguration conf)

Method Detail

### getUniqueName

    protected String getUniqueName(Class type)

  Description copied from class: `PCDataGenerator`
  Creates a unique name for the given type's pcdata implementation.

  Overrides:
    `getUniqueName` in class `PCDataGenerator`

### finish

    protected void finish(PCDataGenerator.DynamicPCData data,
                          ClassMetaData meta)

  Description copied from class: `PCDataGenerator`
  Perform any final actions before the pcdata is returned to client code.

  Overrides:
    `finish` in class `PCDataGenerator`

### decorate

    protected void decorate(serp.bytecode.BCClass bc,
                            ClassMetaData meta)

  Description copied from class: `PCDataGenerator`
  Apply additional decoration to generated class.

  Overrides:
    `decorate` in class `PCDataGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.